Bug 1274448 - magic trackpad 2 misinterpreted as mouse
magic trackpad 2 misinterpreted as mouse
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 14:20 EDT by ryan.cubicle
Modified: 2016-07-19 15:20 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:20:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ryan.cubicle 2015-10-22 14:20:41 EDT
Description of problem:
the trackpad was detected as a mouse and given a mouse driver

Version-Release number of selected component (if applicable):
fedora 22

How reproducible:
turn on the trackpad

Steps to Reproduce:
1. turn on the trackpad
2. pair the trackpad
3.

Actual results:
libinput driver was loaded

Expected results:
synaptics driver was expected

Additional info:

Oct 23 01:38:09 rialto kernel: input: Magic Trackpad 2 as /devices/pci0000:00/0000:00:1d.0/usb6/6-1/6-1.7/6-1.7:1.0/bluetooth/hci0/hci0:61/0005:004C:0265.0005/input/input20
Oct 23 01:38:09 rialto kernel: hid-generic 0005:004C:0265.0005: input,hidraw4: BLUETOOTH HID v0.62 Mouse [Magic Trackpad 2] on 00:1a:7d:da:71:0b
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (II) config/udev: Adding input device Magic Trackpad 2 (/dev/input/mouse1)
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5132]: (II) config/udev: Adding input device Magic Trackpad 2 (/dev/input/mouse1)
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5132]: (II) config/udev: Adding input device Magic Trackpad 2 (/dev/input/event17)
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (II) config/udev: Adding input device Magic Trackpad 2 (/dev/input/event17)
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (**) Magic Trackpad 2: Applying InputClass "evdev pointer catchall"
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (**) Magic Trackpad 2: Applying InputClass "libinput pointer catchall"
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5132]: (**) Magic Trackpad 2: Applying InputClass "evdev pointer catchall"
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5132]: (**) Magic Trackpad 2: Applying InputClass "libinput pointer catchall"
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (II) Using input driver 'libinput' for 'Magic Trackpad 2'
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (**) Magic Trackpad 2: always reports core events
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is tagged by udev as: Mouse
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is a pointer caps
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (II) XINPUT: Adding extended input device "Magic Trackpad 2" (type: MOUSE, id 14)
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (**) Magic Trackpad 2: (accel) selected scheme none/0
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (**) Magic Trackpad 2: (accel) acceleration factor: 2.000
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (**) Magic Trackpad 2: (accel) acceleration threshold: 4
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is tagged by udev as: Mouse
Oct 23 01:38:09 rialto /usr/libexec/gdm-x-session[5414]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is a pointer caps
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (II) config/udev: Adding input device Magic Trackpad 2 (/dev/input/event17)
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (**) Magic Trackpad 2: Applying InputClass "evdev pointer catchall"
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (**) Magic Trackpad 2: Applying InputClass "libinput pointer catchall"
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (II) Using input driver 'libinput' for 'Magic Trackpad 2'
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (**) Magic Trackpad 2: always reports core events
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is tagged by udev as: Mouse
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is a pointer caps
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (II) XINPUT: Adding extended input device "Magic Trackpad 2" (type: MOUSE, id 11)
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (**) Magic Trackpad 2: (accel) selected scheme none/0
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (**) Magic Trackpad 2: (accel) acceleration factor: 2.000
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (**) Magic Trackpad 2: (accel) acceleration threshold: 4
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is tagged by udev as: Mouse
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is a pointer caps
Oct 23 01:39:36 rialto /usr/libexec/gdm-x-session[6956]: (II) config/udev: Adding input device Magic Trackpad 2 (/dev/input/mouse1)
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (II) config/udev: Adding input device Magic Trackpad 2 (/dev/input/event17)
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (**) Magic Trackpad 2: Applying InputClass "evdev pointer catchall"
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (**) Magic Trackpad 2: Applying InputClass "libinput pointer catchall"
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (II) Using input driver 'libinput' for 'Magic Trackpad 2'
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (**) Magic Trackpad 2: always reports core events
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is tagged by udev as: Mouse
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is a pointer caps
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (II) XINPUT: Adding extended input device "Magic Trackpad 2" (type: MOUSE, id 11)
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (**) Magic Trackpad 2: (accel) selected scheme none/0
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (**) Magic Trackpad 2: (accel) acceleration factor: 2.000
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (**) Magic Trackpad 2: (accel) acceleration threshold: 4
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is tagged by udev as: Mouse
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (II) input device 'Magic Trackpad 2', /dev/input/event17 is a pointer caps
Oct 23 02:00:21 rialto /usr/libexec/gdm-x-session[7294]: (II) config/udev: Adding input device Magic Trackpad 2 (/dev/input/mouse1)
Oct 23 02:03:26 rialto /usr/libexec/gdm-x-session[6956]: (II) config/udev: removing device Magic Trackpad 2
Comment 1 Peter Hutterer 2015-10-22 19:31:06 EDT
note libinput is a touchpad driver too. The weird thing here is that apparently ID_INPUT_TOUCHPAD is missing, so libinput will just initialize it as pointer device.

What's the output of udevadm info /sys/class/input/event17 and the output of evemu-describe /dev/input/event17?
Comment 2 ryan.cubicle 2015-11-24 15:57:50 EST
$ udevadm info --path=/sys/class/input//input17
P: /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input17
E: DEVPATH=/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input17
E: EV=21
E: ID_FOR_SEAT=input-pci-0000_01_00_1
E: ID_INPUT=1
E: ID_PATH=pci-0000:01:00.1
E: ID_PATH_TAG=pci-0000_01_00_1
E: MODALIAS=input:b0000v0000p0000e0000-e0,5,kramlsfw6,8,
E: NAME="HDA NVidia HDMI/DP,pcm=9"
E: PHYS="ALSA"
E: PRODUCT=0/0/0/0
E: PROP=0
E: SUBSYSTEM=input
E: SW=140
E: TAGS=:seat:
E: USEC_INITIALIZED=13797



$ evemu-describe /dev/input/event17
error: could not open device
Comment 3 ryan.cubicle 2015-11-24 16:14:00 EST
$ udevadm info --path=/sys/class/input/event17
P: /devices/pci0000:00/0000:00:1d.0/usb6/6-1/6-1.7/6-1.7:1.0/bluetooth/hci0/hci0:67/0005:004C:0265.0011/input/input24/event17
N: input/event17
E: DEVNAME=/dev/input/event17
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb6/6-1/6-1.7/6-1.7:1.0/bluetooth/hci0/hci0:67/0005:004C:0265.0011/input/input24/event17
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=CSR8510_A10
E: ID_MODEL_ENC=CSR8510\x20A10
E: ID_MODEL_ID=0001
E: ID_REVISION=8891
E: ID_SERIAL=0a12_CSR8510_A10
E: ID_TYPE=generic
E: ID_USB_DRIVER=btusb
E: ID_USB_INTERFACES=:e00101:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=0a12
E: ID_VENDOR_ENC=0a12
E: ID_VENDOR_ID=0a12
E: LIBINPUT_DEVICE_GROUP=5/4c/265/62:00:1a:7d:da:71:0b
E: MAJOR=13
E: MINOR=81
E: SUBSYSTEM=input
E: USEC_INITIALIZED=14008244614


$ evemu-describe /dev/input/event17
error: could not open device
Comment 4 Peter Hutterer 2015-11-24 16:42:21 EST
(In reply to ryan.cubicle from comment #3)
> $ evemu-describe /dev/input/event17
> error: could not open device

run it again as root please
Comment 5 ryan.cubicle 2015-11-26 13:20:52 EST
# evemu-describe /dev/input/event17
# EVEMU 1.3
# Kernel: 4.1.10-200.fc22.x86_64
# DMI: dmi:bvnAmericanMegatrendsInc.:bvr1201:bd06/20/2014:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnP8Z77-IDELUXE:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
# Input device name: "Magic Trackpad 2"
# Input device ID: bus 0x05 vendor 0x4c product 0x265 version 0x62
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 2 (SYN_MT_REPORT)
#     Event code 3 (SYN_DROPPED)
#     Event code 4 ((null))
#     Event code 5 ((null))
#     Event code 6 ((null))
#     Event code 7 ((null))
#     Event code 8 ((null))
#     Event code 9 ((null))
#     Event code 10 ((null))
#     Event code 11 ((null))
#     Event code 12 ((null))
#     Event code 13 ((null))
#     Event code 14 ((null))
#   Event type 1 (EV_KEY)
#     Event code 256 (BTN_0)
#     Event code 257 (BTN_1)
#     Event code 258 (BTN_2)
#     Event code 272 (BTN_LEFT)
#     Event code 273 (BTN_RIGHT)
#   Event type 2 (EV_REL)
#     Event code 0 (REL_X)
#     Event code 1 (REL_Y)
#   Event type 3 (EV_ABS)
#     Event code 40 (ABS_MISC)
#       Value     90
#       Min        0
#       Max      255
#       Fuzz       0
#       Flat       0
#       Resolution 0
#   Event type 4 (EV_MSC)
#     Event code 4 (MSC_SCAN)
# Properties:
N: Magic Trackpad 2
I: 0005 004c 0265 0062
P: 00 00 00 00 00 00 00 00
B: 00 0b 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 07 00 03 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 03 00 00 00 00 00 00 00
B: 03 00 00 00 00 00 01 00 00
B: 04 10 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 00 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 14 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00
Comment 6 Fedora End Of Life 2016-07-19 15:20:35 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.